<?php

$loader = require 'vendor/autoload.php';

$db = rex::getProperty('db');
// load capsule database driver for eloquent
use Illuminate\Database\Capsule\Manager as Capsule;
$capsule = new Capsule;
$capsule->addConnection([
    'driver' => 'mysql',
    'host' => $db[1]['host'],
    'database' => $db[1]['name'],
    'username' => $db[1]['login'],
    'password' => $db[1]['password'],
    'charset' => 'utf8',
    'collation' => 'utf8_unicode_ci',
    'prefix' => ''
]);

use Illuminate\Container\Container;

// Make this Capsule instance available globally via static methods... (optional)
$capsule->setAsGlobal();
// Setup the Eloquent ORM... (optional; unless you've used setEventDispatcher())
$capsule->bootEloquent();

class_alias ('Illuminate\Database\Capsule\Manager' , 'DB');


/**
 * Classmap extension
 */
$arr =  [];
$files = scandir(rex_path::addonData('eloquent'), 0);
for($i = 2; $i < count($files); $i++) {
    $parts = pathinfo($files[$i]);
    if($parts['extension']=='php')
        $arr[$parts['filename']] = rex_path::addonData('eloquent').$files[$i];
}

$loader->addClassMap($arr);